GlueGen: com.jogamp.common.util.TestBitstream01 Class Reference

GlueGen v2.6.0-rc-20250822 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Static Public Member Functions | List of all members
com.jogamp.common.util.TestBitstream01 Class Reference

Test `Bitstream` w/ raw linear and bulk read/write access w/o semantics: More...

Inheritance diagram for com.jogamp.common.util.TestBitstream01:
Collaboration diagram for com.jogamp.common.util.TestBitstream01:

## Public Member Functions

void | test01LinearBitsMSBFirst () throws IOException
void | test02LinearBitsLSBFirst () throws IOException
void | test03BulkBits () throws IOException
void | test05ErrorHandling () throws IOException
Public Member Functions inherited from com.jogamp.junit.util.JunitTracer
final String | getTestMethodName ()
final String | getSimpleTestName (final String separator)
final String | getFullTestName (final String separator)
final void | setUpBase ()
final void | tearDownBase ()

## Static Public Member Functions

static void | main (final String args[]) throws IOException
Static Public Member Functions inherited from com.jogamp.junit.util.SingletonJunitCase
static final void | enableSingletonLock (final boolean v)
| Default is `true`. More...
static final void | oneTimeSetUpSingleton ()
static final void | oneTimeTearDownSingleton ()
Static Public Member Functions inherited from com.jogamp.junit.util.JunitTracer
static final boolean | isTestSupported ()
static final void | setTestSupported (final boolean v)
static final void | oneTimeSetUpBase ()
static final void | oneTimeTearDownBase ()
static void | waitForKey (final String preMessage)

## Additional Inherited Members

Public Attributes inherited from com.jogamp.junit.util.JunitTracer
final TestName | _unitTestName = new TestName()
Static Public Attributes inherited from com.jogamp.junit.util.SingletonJunitCase
static final String | SINGLE_INSTANCE_LOCK_FILE = "SingletonTestCase.lock"
static final int | SINGLE_INSTANCE_LOCK_PORT = 59999
static final long | SINGLE_INSTANCE_LOCK_TO = 15*60*1000
static final long | SINGLE_INSTANCE_LOCK_POLL = 500

## Detailed Description

Test `Bitstream` w/ raw linear and bulk read/write access w/o semantics:

- `Bitstream#readBit(boolean)`
- `Bitstream#writeBit(boolean, int)`
- `Bitstream#mark(int)`
- `Bitstream#reset()`
- `Bitstream#flush()`
- `Bitstream#readBits31(int)`
- `Bitstream#writeBits31(int, int)`

Definition at line 56 of file TestBitstream01.java.

## Member Function Documentation

## ◆ main()

static void com.jogamp.common.util.TestBitstream01.main | ( | final String | args[] | ) | throws IOException

static

Definition at line 357 of file TestBitstream01.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ test01LinearBitsMSBFirst()

void com.jogamp.common.util.TestBitstream01.test01LinearBitsMSBFirst | ( |  | ) | throws IOException

Definition at line 116 of file TestBitstream01.java.

## ◆ test02LinearBitsLSBFirst()

void com.jogamp.common.util.TestBitstream01.test02LinearBitsLSBFirst | ( |  | ) | throws IOException

Definition at line 120 of file TestBitstream01.java.

## ◆ test03BulkBits()

void com.jogamp.common.util.TestBitstream01.test03BulkBits | ( |  | ) | throws IOException

Definition at line 244 of file TestBitstream01.java.

## ◆ test05ErrorHandling()

void com.jogamp.common.util.TestBitstream01.test05ErrorHandling | ( |  | ) | throws IOException

Definition at line 338 of file TestBitstream01.java.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- src/junit/com/jogamp/common/util/TestBitstream01.java